## GFileIcon GFileIcon — Icons pointing to an image file |

## Synopsis

    #include <gio/gio.h>

                        GFileIcon;
    GIcon *             g_file_icon_new                     (GFile *file);
    GFile *             g_file_icon_get_file                (GFileIcon *icon);

## Object Hierarchy

      GObject
       +----GFileIcon

## Implemented Interfaces

GFileIcon implements GIcon and GLoadableIcon.

## Properties

      "file"                     GFile*                : Read / Write / Construct Only

## Description

GFileIcon specifies an icon by pointing to an image file to be used as icon.

## Details

### GFileIcon

    typedef struct _GFileIcon GFileIcon;

Gets an icon for a GFile. Implements GLoadableIcon.

### g_file_icon_new ()

    GIcon *             g_file_icon_new                     (GFile *file);

Creates a new icon for a file.

`file` : | a GFile.
Returns : | a GIcon for the given `file`, or `NULL` on error.

### g_file_icon_get_file ()

    GFile *             g_file_icon_get_file                (GFileIcon *icon);

Gets the GFile associated with the given `icon`.

`icon` : | a GIcon.
Returns : | a GFile, or `NULL`.

## Property Details

### The `"file"` property

      "file"                     GFile*                : Read / Write / Construct Only

The file containing the icon.

## See Also

GIcon, GLoadableIcon